### Function

# EvinceDocument file_copy_metadata

#### Declaration [src]

    gboolean
    ev_file_copy_metadata (
      const char* from,
      const char* to,
      GError** error
    )

#### Description [src]

Performs a `g_file_copy_attributes()` with `G_FILE_COPY_ALL_METADATA` from `from` to `to`.

Available since: | 3.4

#### Parameters

`from` | `const char*`
| The source URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`to` | `const char*`
| The target URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the attributes were copied successfully, `FALSE` otherwise.